System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Error building hp-be2net on RHEL 5.7

Josh Trutwin
Occasional Contributor

Error building hp-be2net on RHEL 5.7

Hi, have an error trying to build hp-be2net driver on a bl460c G7 running RHEL 5.7 x86_64. Same error with hp-be2net-2.104.277.1-2.src.rpm downloadable from HP or hp-be2net-2.104.225.7-1.src.rpm available in PSP 8.70.

 

# rpm -ivh hp-be2net-2.104.277.1-2.src.rpm
   1:hp-be2net              ########################################### [100%]

# rpmbuild -bb /usr/src/redhat/SPECS/hp-benet.kmp.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.25495
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /usr/src/redhat/BUILD
+ rm -rf hp-be2net-2.104.277.1
+ /usr/bin/gzip -dc /usr/src/redhat/SOURCES/hp-be2net-2.104.277.1.tar.gz
+ tar -xvvf -
drwxr-xr-x root/root         0 2011-03-14 16:20:53 hp-be2net-2.104.277.1/
-rw-r--r-- root/root     49275 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_cmds.c
-rw-r--r-- root/root     14888 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_compat.h
-rw-r--r-- root/root     30627 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_cmds.h
-rw-r--r-- root/root       210 2011-03-14 16:20:53 hp-be2net-2.104.277.1/Makefile
-rw-r--r-- root/root     18693 2011-03-14 16:20:53 hp-be2net-2.104.277.1/COPYING
-rw-r--r-- root/root     12885 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be.h
-rw-r--r-- root/root      2616 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_misc.c
-rw-r--r-- root/root     15180 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_proc.c
-rw-r--r-- root/root     87718 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_main.c
-rw-r--r-- root/root     14868 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_compat.c
-rw-r--r-- root/root      1295 2011-03-14 16:20:53 hp-be2net-2.104.277.1/version.h
-rw-r--r-- root/root     12771 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_hw.h
-rw-r--r-- root/root     19939 2011-03-14 16:20:53 hp-be2net-2.104.277.1/be_ethtool.c
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd hp-be2net-2.104.277.1
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ set -- COPYING Makefile be.h be_cmds.c be_cmds.h be_compat.c be_compat.h be_ethtool.c be_hw.h be_main.c be_misc.c be_proc.c version.h
+ mkdir source
+ mv COPYING Makefile be.h be_cmds.c be_cmds.h be_compat.c be_compat.h be_ethtool.c be_hw.h be_main.c be_misc.c be_proc.c version.h source/
+ mkdir obj
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.25495
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd hp-be2net-2.104.277.1
+ LANG=C
+ export LANG
+ unset DISPLAY
+ export 'EXTRA_CFLAGS=-DVERSION=\"2.104.277.1\"'
+ EXTRA_CFLAGS='-DVERSION=\"2.104.277.1\"'
+ for flavor in default
+ rm -rf obj/default
+ cp -r source obj/default
+ export src=/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default
+ src=/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default
++ '[' default = default ']'
+ make -C /usr/src/kernels/2.6.18-274.el5-x86_64 modules M=/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default CONFIG_BE2NET=m
make: Entering directory `/usr/src/kernels/2.6.18-274.el5-x86_64'
  CC [M]  /usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_main.o
In file included from /usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be.h:38,
                 from /usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_main.c:18:
/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_compat.h:480: error: redefinition of 'netdev_alloc_skb_ip_align'
include/linux/skbuff.h:1364: error: previous definition of 'netdev_alloc_skb_ip_align' was here
/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_compat.h:536: error: redefinition of 'skb_checksum_none_assert'
include/linux/skbuff.h:1827: error: previous definition of 'skb_checksum_none_assert' was here
/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_main.c: In function 'be_probe':
/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_main.c:3237: warning: assignment from incompatible pointer type
make[1]: *** [/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default/be_main.o] Error 1
make: *** [_module_/usr/src/redhat/BUILD/hp-be2net-2.104.277.1/obj/default] Error 2
make: Leaving directory `/usr/src/kernels/2.6.18-274.el5-x86_64'
error: Bad exit status from /var/tmp/rpm-tmp.25495 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.25495 (%build)

 

I'm not very good at figuring out these kinds or C compliation errors.  Anyone have any ideas?

 

# rpm -qa | grep kernel
kernel-headers-2.6.18-274.el5
kernel-devel-2.6.18-274.el5
kernel-2.6.18-238.el5
kernel-2.6.18-274.el5

# uname -a
Linux airwave 2.6.18-274.el5 #1 SMP Fri Jul 8 17:36:59 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux

Thanks,

 

Josh

4 REPLIES
JJUXVIRT
Occasional Visitor

Re: Error building hp-be2net on RHEL 5.7

Josh,

 

It seems that, the current kernel version higher. Installation instructions text file doesn't talk about RHEK5 U7 under "operating system". What's the NIC card model?

Josh Trutwin
Occasional Contributor

Re: Error building hp-be2net on RHEL 5.7

Sorry for the delays replying - busy time of year here:

 

Embedded NC553i Dual Port FlexFabric 10GbE Converged Network Adapter

 

# lspci | grep -i nic
02:00.0 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)
02:00.1 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)

 

I have a support case open with HP - sounds like a RHEL 5.7 kernel issue perhaps...

 

Josh

klemerS
Frequent Advisor

Re: Error building hp-be2net on RHEL 5.7

Hi.

 

The driver on psp 8.70 is not certified  for rhel5.7 .   on rhel5.7 the be2net  driver version is 4.0.100r which is 

much higher than the one you got in the PSP kit. 

 

Shalom.

Matti_Kurkela
Honored Contributor

Re: Error building hp-be2net on RHEL 5.7

The compiler error messages suggest some in-kernel definitions have changed by one of the kernel patches added between RHEL 5.6 -> 5.7.

 

However, as others have stated, RHEL 5.7 has a standard be2net driver with a higher version number than the hp-be2net driver. Perhaps RedHat has updated the standard be2net driver in 5.7, so the hp-be2net will not be required in RHEL 5.7 and newer?

 

The RHEL 5.7 Release Notes document says:

  • The be2net driver for ServerEngines BladeEngine2 10Gbps network devices is updated, adding support for multicast filter on the Lancer family of CNAs and enabling IPv6 TSO support.
MK